For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a Message

Get a Message by ID

get

Retrieve a single message by its unique ID. Pass the message ID as a path parameter.

Authorizations
AuthorizationstringRequired

Answering Service Care uses bearer token authentication. Generate API tokens from your user profile under Application Keys.

Path parameters
idstringRequired
Responses
200

Successful response

application/json
get/api/v2/messages/{id}
GET /api/v2/messages/{id} HTTP/1.1
Host: secure.answeringservicecare.com
Authorization: Bearer YOUR_API_TOKEN
Accept: */*
{
  "data": {
    "id": 939,
    "read": true,
    "caller_id": "9548326297",
    "content": "This is a test message",
    "status": "delivered",
    "account_id": 4,
    "agent_id": 3,
    "created_at": "2025-01-21T22:08:20.671Z",
    "delivered_at": "2025-01-21T22:08:20.855Z",
    "receiver_name": "John Doe",
    "uuid": "8895c21e-8c3a-48e2-80dd-03acf32705fd"
  }
}

Get a Message's Call Recording

get

Retrieve the call recording associated with a specific message. Pass the message ID as a path parameter.

Authorizations
AuthorizationstringRequired

Answering Service Care uses bearer token authentication. Generate API tokens from your user profile under Application Keys.

Path parameters
idstringRequired
Responses
200

Successful response

application/json
get/api/v2/messages/{id}/call-recording
GET /api/v2/messages/{id}/call-recording HTTP/1.1
Host: secure.answeringservicecare.com
Authorization: Bearer YOUR_API_TOKEN
Accept: */*
{
  "data": {
    "id": 36,
    "call_id": 266805,
    "call_sid": "4f1c7b5e-744b-11ef-9bdd-02420a1f2070",
    "account_number": "JoseDev",
    "did_number": "5617819977",
    "from": "text",
    "agent_username": "jose",
    "started_at": "2026-01-01T00:00:00.000Z",
    "recording": "https://yourdomain.com/recording.mp3",
    "cdr": {
      "id": 1,
      "unique_call_id": 1,
      "start_time": "2026-01-01T00:00:00.000Z",
      "call_type": "InboundCall",
      "start_client": "text",
      "end_client": "text",
      "callerid": "text",
      "number_dialed": "text",
      "did": "text",
      "agent_name": "text",
      "agent_id": 1,
      "skill_name": "Spanish",
      "skill_id": "1",
      "connection_sec": 1,
      "ivr_sec": 1,
      "wait_sec": 1,
      "talk_sec": 1,
      "hold_sec": 1,
      "transfer_sec": 1,
      "wrap_sec": 1,
      "agent_answer_time": "2026-01-01T00:00:00.000Z",
      "end_time": "2026-01-01T00:00:00.000Z",
      "hang_up_time": "2026-01-01T00:00:00.000Z",
      "who_hung_up": "agent",
      "original_call_id": 1,
      "call_created_at": "2026-01-01T00:00:00.000Z",
      "is_orphaned": true,
      "conference_sec": 1,
      "conference_talk_sec": 1
    }
  }
}

Last updated

Was this helpful?